Package org.eclipse.rdf4j.model

## Class AbstractModelTest

- java.lang.Object
- - org.eclipse.rdf4j.model.ModelTest
  - - org.eclipse.rdf4j.model.AbstractModelTest

-     @Deprecated
      public abstract class AbstractModelTest
      extends ModelTest

  Deprecated.
  since 3.5.0. Use `ModelTest` instead.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.model.ModelTest

      `bnode1, bnode2, bnode3, literal1, literal2, literal3, uri1, uri2, uri3, vf`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractModelTest()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.model.ModelTest

      `getNewEmptyModel, getNewModel, getNewModelObjectDoubleBNode, getNewModelObjectDoubleLiteral, getNewModelObjectDoubleURI, getNewModelObjectSingleBNode, getNewModelObjectSingleBNodeDoubleLiteral, getNewModelObjectSingleBNodeDoubleURI, getNewModelObjectSingleLiteral, getNewModelObjectSingleLiteralDoubleBNode, getNewModelObjectSingleLiteralDoubleURI, getNewModelObjectSingleLiteralSingleBNode, getNewModelObjectSingleLiteralSingleURI, getNewModelObjectSingleLiteralSingleURISingleBNode, getNewModelObjectSingleURI, getNewModelObjectSingleURIDoubleBNode, getNewModelObjectSingleURIDoubleLiteral, getNewModelObjectSingleURISingleBNode, getNewModelObjectTripleBNode, getNewModelObjectTripleLiteral, getNewModelObjectTripleURI, getNewModelTwoContexts, setUp, tearDown, testContainsSingleLiteral, testContexts, testEqualsHashcode, testEqualsVsIsomorphic, testFilter_AddToEmptyFilteredModel, testFilter_AddToEmptyOriginalModel, testFilter_AddToNonEmptyFilteredModel, testFilter_AddToOriginalModel, testFilter_RemoveFromFilter, testFilter_RemoveFromOriginal, testFilterSingleLiteral, testGetStatements_AddToEmptyModel, testGetStatements_ConcurrentModificationOfModel, testGetStatements_IteratorModification, testGetStatements_SingleLiteral, testObjects, testPredicates, testSubjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractModelTest

          public AbstractModelTest()

      Deprecated.